package filemanipulation;

import java.io.*;
//to make directory: -mkdir test1 test2 test3
//to rename: -r test1 test4
//to delete: -d test4
public class MakeDirectories {
	private static void usage() {
		System.err.println(
		"Usage:MakeDirectories path1 ...\n" +
		"Creates each path\n" +
		"Usage:MakeDirectories -d path1 ...\n" +
		"Deletes each path\n" +
		"Usage:MakeDirectories -r path1 path2\n" +
		"Renames from path1 to path2");
		System.exit(1);
	}
	public static void printFileData(File f) {
		System.out.println(
				"Absolute path: " + f.getAbsolutePath() +
				"\n Can read: " + f.canRead() +
				"\n Can write: " + f.canWrite() +
				"\n getName: " + f.getName() +
				"\n getParent: " + f.getParent() +
				"\n getPath: " + f.getPath() +
				"\n length: " + f.length() +
				"\n lastModified: " + f.lastModified());
				if(f.isFile())
					System.out.println("Its a file");
				else if(f.isDirectory())
					System.out.println("Its a directory");
	}
	
	public static void main(String[] args) {
		if(args.length < 1) usage();
		
		//renames file args[1] to args[2]
		if(args[0].equals("-r")) {
			if(args.length != 3) usage();
			File old = new File(args[1]), rname = new File(args[2]);
			old.renameTo(rname);
			printFileData(old);
			printFileData(rname);
			return; // Exit main
		}
		
		int count = 0;  //to count arguments of main 
		
		//deletes files whose names are specified started from argument 1 (if these files exist)
		if(args[0].equals("-d")) {		
			
			while(++count < args.length) {
				File f = new File(args[count]);
				if(f.exists()) {
					System.out.println("deleting..." + f);
					f.delete();
				}
			}
		}
		
		//creates new directory whose names are specified starting from argument 1
		if(args[0].equals("-mkdir")) {		
			
			while(++count < args.length) {
				File f = new File(args[count]);				
				f.mkdirs();
				System.out.println("created " + f);
				printFileData(f);
			}
		}
	}
}